html, body {
    height: 100%;
}

app {
    display: block;
    height: 100%;
}

.header-
{
    flex-shrink: 0;
    background-color: currentColor;
    -webkit-mask: url('../images/Logo.png');
    mask: url('../images/Logo.png');
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    width: 180px;
    height: 24px;
}

#blazor-error-ui {
    background: inherit;
    bottom: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100001;
}

#overviewDemoDropZone > svg, span {
    margin-left: auto;
    margin-right: auto;
}

#overviewDemoDropZone {
    padding: 10px;
    background-color: #f2f2f2;
    border-radius: .3rem;
    border: 1px solid rgba(0,0,0,.125);
}

.bg-agendamento-bloqueio {
    background-color: #C0C0C0 !important; /* sem !important não aplicava e usava a css do modelo */
}

.drop-file-icon {
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    width: 42px;
    height: 42px;
    -webkit-mask-image: url(../images/DropFile.svg);
    mask-image: url(../images/DropFile.svg);
}

/* Afastar os botões das tooltips dos eventos para evitar eliminar ao 
   tentar clicar em Editar.
*/
.dxbl-btn-tool {
    padding-left: 12px;
    padding-right: 12px;
}

/* Ocultar botão Eliminar nas tooltips dos agendamentos no calendário. */
div.dxbl-sc-tooltip-header button.dxbl-btn-tool:has(svg.dxbl-delete-icon) {
    display: none;
}

/* Botão Finalizar Relatório (OK) */
.finalizar-relatorio-ok-icon {
    background-image: url('/images/FinalizarRelatorioOkIcon.svg');
    background-size: contain;
    background-repeat: no-repeat;
    width: 24px;
    height: 24px;
}

/* Botão de selecionar ficheiro único (icone de clipe) no controlo de upload de ficheiros 
   (Ocultar para permitir sempre carregar vários ficheiros) 
*/    
button.dxbl-btn.dxbl-btn-outline-secondary.file-data-button.xaf-append-image-button.shadow-none.dxbs-editor-dropdown-button.position-relative.cursor-pointer.dxbl-text-edit-btn:has(> div.xaf-image.xaf-dx-button-image.dxbl-image) {
    display: none;
}

